## r-cran-eaf 1.8

=== DESCRIPTION ===
Package: eaf
Type: Package
Title: Plots of the Empirical Attainment Function
Version: 1.8
Date: 2018-03-22
Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                              email = "manuel.lopez-ibanez@manchester.ac.uk",
                              comment = c(ORCID = "0000-0001-9974-1295")),
             person("Marco", "Chiarandini", role = "aut"),
             person("Carlos", "Fonseca", role = "aut"),
             person("Luis", "Paquete", role = "aut"),
             person("Thomas", "Stützle", role = "aut"))
Description: Plots of the empirical attainment function for two objectives.
Depends: R (>= 2.10.0)
Imports: modeltools, graphics, grDevices, stats
Suggests: testthat
License: GPL (>= 2)
BugReports: https://github.com/MLopez-Ibanez/eaf/issues
URL: http://lopez-ibanez.eu/eaftools,
        https://github.com/MLopez-Ibanez/eaf
LazyLoad: true
LazyData: true
Encoding: UTF-8
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-03-22 15:44:12 UTC; manu
Author: Manuel López-Ibáñez [aut, cre]
    (<https://orcid.org/0000-0001-9974-1295>),
  Marco Chiarandini [aut],
  Carlos Fonseca [aut],
  Luis Paquete [aut],
  Thomas Stützle [aut]
Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2018-03-22 20:18:51 UTC

=== debian/changelog ===
r-cran-eaf (1.8-2) unstable; urgency=medium

  * Add missing Copyright notices
    Closes: #910523

 -- Andreas Tille <tille@debian.org>  Mon, 08 Oct 2018 09:13:09 +0200

r-cran-eaf (1.8-1) unstable; urgency=medium

  * Initial release (closes: #910487)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Oct 2018 15:49:47 +0200

=== debian/control ===
Source: r-cran-eaf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-modeltools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eaf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eaf.git
Homepage: https://cran.r-project.org/package=eaf

Package: r-cran-eaf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R plots of the empirical attainment function
 This GNU R package supports plots of the empirical attainment function
 for two objectives.

## r-cran-eaf 1.9

=== DESCRIPTION ===
Package: eaf
Type: Package
Title: Plots of the Empirical Attainment Function
Version: 1.9-1
Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                              email = "manuel.lopez-ibanez@manchester.ac.uk",
                              comment = c(ORCID = "0000-0001-9974-1295")),
             person("Marco", "Chiarandini", role = "aut"),
             person("Carlos", "Fonseca", role = "aut"),
             person("Luis", "Paquete", role = "aut"),
             person("Thomas", "Stützle", role = "aut"),
             person("Mickaël", "Binois", role = "ctb"))
Description: Computation and visualization of the empirical attainment function (EAF) for the analysis of random sets in multi-criterion optimization. M. Lopez-Ibanez, L. Paquete, and T. Stuetzle (2010) <doi:10.1007/978-3-642-02538-9_9>. 
Depends: R (>= 2.10.0)
Imports: modeltools, graphics, grDevices, stats
Suggests: testthat
License: GPL (>= 2)
BugReports: https://github.com/MLopez-Ibanez/eaf/issues
URL: http://lopez-ibanez.eu/eaftools,
        https://github.com/MLopez-Ibanez/eaf
LazyLoad: true
LazyData: true
Encoding: UTF-8
RoxygenNote: 6.1.1
SystemRequirements: GNU make
NeedsCompilation: yes
Packaged: 2020-03-05 10:56:59 UTC; manu
Author: Manuel López-Ibáñez [aut, cre]
    (<https://orcid.org/0000-0001-9974-1295>),
  Marco Chiarandini [aut],
  Carlos Fonseca [aut],
  Luis Paquete [aut],
  Thomas Stützle [aut],
  Mickaël Binois [ctb]
Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2020-03-05 14:50:06 UTC

=== src/mo-tools/Makefile ===
#-----------------------------------------------------------------------

#  Makefile for mootools

VERSION = 1.0svn$(SVN_REV)

#-----------------------------------------------------------------------

#                        Copyright (c) 2007, 2008, 2009, 2010
#           Manuel Lopez-Ibanez  <manuel.lopez-ibanez@manchester.ac.uk>

#  This program is free software (software libre); you can redistribute
#  it and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of the
#  License, or (at your option) any later version.

#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, you can obtain a copy of the GNU
#  General Public License at:
#                  http://www.gnu.org/copyleft/gpl.html
#  or by writing to:
#            Free Software Foundation, Inc., 59 Temple Place,
#                  Suite 330, Boston, MA 02111-1307 USA
#
#-----------------------------------------------------------------------
# IMPORTANT NOTE: Please be aware that the fact that this program is
# released as Free Software does not excuse you from scientific
# propriety, which obligates you to give appropriate credit! If you
# write a scientific paper describing research that made substantive
# use of this program, it is your obligation as a scientist to
# acknowledge its use.  Moreover, as a personal note, I would
# appreciate it if you would email manuel.lopez-ibanez@manchester.ac.uk with
# citations of papers referencing this work so I can mention them to
# my funding agent and tenure committee.
#-----------------------------------------------------------------------
DEBUG ?=1
BINDIR :=.

## Define source files
SRCS  = igd.c epsilon.c dominatedsets.c nondominated.c io.c ndsort.c hv_contrib.c hv.c pareto.c
HEADERS = io.h io_priv.h common.h gcc_attribs.h igd.h epsilon.h nondominated.h hv.h cmdline.h
OBJS  = $(SRCS:.c=.o)
DIST_OTHER_FILES = Makefile README LICENSE svn_version Makefile.libhv

-include Makevars
EXE_LDFLAGS=$(GSL_LIBS) -lm 

ECHO = @echo "$(1)"

-include svnversion.mk
-include gcc.mk

EXE_CFLAGS += $(OPT_CFLAGS) $(GSL_CFLAGS) $(WARN_CFLAGS) \
	-D_GNU_SOURCE -DDEBUG=$(DEBUG) -DVERSION=\"$(VERSION)\" -DMARCH='"$(gcc-guess-march)"'

igd = $(BINDIR)/igd$(EXE)
epsilon = $(BINDIR)/epsilon$(EXE)
dominatedsets = $(BINDIR)/dominatedsets$(EXE)
nondominated = $(BINDIR)/nondominated$(EXE)
ndsort = $(BINDIR)/ndsort$(EXE)

.PHONY : all clean distclean dist default 

default : $(igd) $(epsilon) $(dominatedsets) $(nondominated) $(ndsort)

$(igd) : OBJS=igd.o io.o
$(igd) : igd.o io.o $(HEADERS)

$(epsilon) : OBJS=epsilon.o io.o
$(epsilon) : epsilon.o io.o $(HEADERS)

$(dominatedsets) : OBJS=dominatedsets.o io.o
$(dominatedsets) : dominatedsets.o io.o $(HEADERS)


$(nondominated) : OBJS=nondominated.o io.o
$(nondominated) : nondominated.o io.o $(HEADERS)

include Makefile.libhv

$(ndsort) : OBJS=ndsort.o pareto.o io.o hv_contrib.c $(HV_OBJS)
$(ndsort) : $(OBJS) $(HEADERS)

$(igd) $(epsilon) $(nondominated) $(dominatedsets) $(ndsort):
	@mkdir -p $(BINDIR)
	$(call ECHO,--> Building $@ version $(VERSION) <---)
	$(CC) -o $@  $(OBJS) $(EXE_CFLAGS) $(CFLAGS) $(EXE_LDFLAGS)

$(OBJS) : $(HEADERS)


clean :
	$(call ECHO,---> Removing $(igd) <---)
	@$(RM) $(igd)

	$(call ECHO,---> Removing $(epsilon) <---)
	@$(RM) $(epsilon)

	$(call ECHO,---> Removing $(dominatedsets) <---)
	@$(RM) $(dominatedsets)

	$(call ECHO,---> Removing $(nondominated) <---)
	@$(RM) $(nondominated)

	$(call ECHO,---> Removing $(ndsort) <---)
	@$(RM) $(ndsort)

	$(call ECHO,---> Removing object files: $(OBJS) <---)
	@$(RM) $(OBJS) $(HV_OBJS)

all : clean
	$(MAKE) default

%.o : %.c
	$(CC) $(CPPFLAGS) $(EXE_CFLAGS) $(CFLAGS) -c -o $@ $<

DIST_SRC_FILES =  $(DIST_OTHER_FILES) $(OBJS:.o=.c) $(HEADERS) 
DIST_SRC := mo-tools-$(VERSION)-src
dist : DEBUG=0
dist : CDEBUG=
dist : all
	@(mkdir -p ../$(DIST_SRC) \
	&& rsync -rlpC --exclude=.svn $(DIST_SRC_FILES) ../$(DIST_SRC)/ \
	&& cd .. \
	&& tar cf - $(DIST_SRC) | gzip -f9 > $(DIST_SRC).tar.gz \
	&& rm -rf ./$(DIST_SRC)/* && rmdir ./$(DIST_SRC)/ \
	&& echo "$(DIST_SRC).tar.gz created." && cd $(PWD) )

TAGS: *.c *.h
	etags *.c *.h

## r-cran-eaf 1.9-1

=== debian/changelog ===
r-cran-eaf (1.9-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Mar 2020 11:32:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-modeltools
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eaf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eaf.git
 Homepage: https://cran.r-project.org/package=eaf
+Rules-Requires-Root: no
 
 Package: r-cran-eaf
 Architecture: any

## r-cran-eaf 2.3

=== DESCRIPTION ===
Package: eaf
Type: Package
Title: Plots of the Empirical Attainment Function
Version: 2.3
Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                              email = "manuel.lopez-ibanez@manchester.ac.uk",
                              comment = c(ORCID = "0000-0001-9974-1295")),
             person("Marco", "Chiarandini", role = "aut"),
             person("Carlos", "Fonseca", role = "aut"),
             person("Luís", "Paquete", role = "aut"),
             person("Thomas", "Stützle", role = "aut"),
             person("Mickaël", "Binois", role = "ctb"))
Description: Computation and visualization of the empirical attainment function (EAF) for the analysis of random sets in multi-criterion optimization. M. López-Ibáñez, L. Paquete, and T. Stützle (2010) <doi:10.1007/978-3-642-02538-9_9>.
Depends: R (>= 3.2)
Imports: modeltools, graphics, grDevices, stats, Rdpack
Suggests: testthat, withr, viridisLite
License: GPL (>= 2)
BugReports: https://github.com/MLopez-Ibanez/eaf/issues
URL: https://mlopez-ibanez.github.io/eaf/,
        https://github.com/MLopez-Ibanez/eaf
LazyLoad: true
LazyData: true
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: GNU make, Gnu Scientific Library
RdMacros: Rdpack
NeedsCompilation: yes
Packaged: 2021-12-21 12:49:48 UTC; manu
Author: Manuel López-Ibáñez [aut, cre]
    (<https://orcid.org/0000-0001-9974-1295>),
  Marco Chiarandini [aut],
  Carlos Fonseca [aut],
  Luís Paquete [aut],
  Thomas Stützle [aut],
  Mickaël Binois [ctb]
Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2021-12-21 13:10:02 UTC

=== debian/changelog ===
r-cran-eaf (2.3-1) unstable; urgency=medium

  * New upstream version 2.3

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 15:57:04 +0530

r-cran-eaf (2.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version

  [ Nilesh Patra ]
  * Explicitly specify gawk for filtering out version
  * Add myself to uploaders
  * Remove unused lintian-overrides file
  * Fix d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 01:37:51 +0530

r-cran-eaf (2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 11:08:51 +0200

r-cran-eaf (2.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.0
  * Add B-D on libgsl-dev and r-cran-rdpack
  * Update copyright
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1
  * d/p/hardening.patch: propagate hardening flags (fixes blhc)
  * Add recommends on python3 and python3-rpy2 in order to run eafdiff.py
  * d/lintian-overrides: Add relevant override for not depending on python.
    The script is not a core part of the package, hence python3* deps it needs
    have been recommended
  * Add d/u/metadata

 -- Nilesh Patra <nilesh@debian.org>  Sat, 21 Aug 2021 02:00:49 +0530

=== debian/control ===
Source: r-cran-eaf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-modeltools,
               r-cran-rdpack,
               libgsl-dev,
               gawk
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eaf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eaf.git
Homepage: https://cran.r-project.org/package=eaf
Rules-Requires-Root: no

Package: r-cran-eaf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends},
            python3,
            python3-rpy2
Suggests: ${R:Suggests}
Description: GNU R plots of the empirical attainment function
 This GNU R package supports plots of the empirical attainment function
 for two objectives.

## r-cran-eaf 2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eaf
 Type: Package
 Title: Plots of the Empirical Attainment Function
-Version: 2.3
+Version: 2.4
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -12,8 +12,8 @@
              person("Mickaël", "Binois", role = "ctb"))
 Description: Computation and visualization of the empirical attainment function (EAF) for the analysis of random sets in multi-criterion optimization. M. López-Ibáñez, L. Paquete, and T. Stützle (2010) <doi:10.1007/978-3-642-02538-9_9>.
 Depends: R (>= 3.2)
-Imports: modeltools, graphics, grDevices, stats, Rdpack
-Suggests: testthat, withr, viridisLite
+Imports: modeltools, graphics, grDevices, matrixStats, Rdpack
+Suggests: extrafont, testthat, withr, viridisLite
 License: GPL (>= 2)
 BugReports: https://github.com/MLopez-Ibanez/eaf/issues
 URL: https://mlopez-ibanez.github.io/eaf/,
@@ -25,7 +25,7 @@
 SystemRequirements: GNU make, Gnu Scientific Library
 RdMacros: Rdpack
 NeedsCompilation: yes
-Packaged: 2021-12-21 12:49:48 UTC; manu
+Packaged: 2023-01-12 14:50:03 UTC; manu
 Author: Manuel López-Ibáñez [aut, cre]
     (<https://orcid.org/0000-0001-9974-1295>),
   Marco Chiarandini [aut],
@@ -35,4 +35,4 @@
   Mickaël Binois [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2021-12-21 13:10:02 UTC
+Date/Publication: 2023-01-12 16:00:02 UTC

=== src/mo-tools/Makefile ===
--- 
+++ 
@@ -38,22 +38,23 @@
 # citations of papers referencing this work so I can mention them to
 # my funding agent and tenure committee.
 #-----------------------------------------------------------------------
-DEBUG ?=1
-BINDIR :=.
+DEBUG?=1
+BINDIR:=.
 
 ## Define source files
-SRCS  = igd.c epsilon.c dominatedsets.c nondominated.c io.c ndsort.c hv_contrib.c hv.c pareto.c
-HEADERS = io.h io_priv.h common.h gcc_attribs.h igd.h epsilon.h nondominated.h hv.h cmdline.h
+SRCS  = igd.c epsilon.c dominatedsets.c nondominated.c io.c ndsort.c hv_contrib.c hv.c pareto.c whv.c whv_hype.c
+HEADERS = io.h io_priv.h common.h gcc_attribs.h igd.h epsilon.h nondominated.h hv.h cmdline.h whv.h whv_hype.h
 OBJS  = $(SRCS:.c=.o)
-DIST_OTHER_FILES = Makefile README LICENSE svn_version Makefile.libhv
+DIST_OTHER_FILES = Makefile README LICENSE svn_version *.mk
 
 -include Makevars
-EXE_LDFLAGS=$(GSL_LIBS) -lm 
+# We do not need $(GSL_LIBS) yet because we don't compile whv_hype.c into any executable.
+EXE_LDFLAGS=-lm 
 
 ECHO = @echo "$(1)"
 
--include svnversion.mk
--include gcc.mk
+include svnversion.mk
+include gcc.mk
 
 EXE_CFLAGS += $(OPT_CFLAGS) $(GSL_CFLAGS) $(WARN_CFLAGS) \
 	-D_GNU_SOURCE -DDEBUG=$(DEBUG) -DVERSION=\"$(VERSION)\" -DMARCH='"$(gcc-guess-march)"'
@@ -81,7 +82,7 @@
 $(nondominated) : OBJS=nondominated.o io.o
 $(nondominated) : nondominated.o io.o $(HEADERS)
 
-include Makefile.libhv
+include libhv.mk
 
 $(ndsort) : OBJS=ndsort.o pareto.o io.o hv_contrib.c $(HV_OBJS)
 $(ndsort) : $(OBJS) $(HEADERS)
@@ -92,7 +93,6 @@
 	$(CC) -o $@  $(OBJS) $(EXE_CFLAGS) $(CFLAGS) $(EXE_LDFLAGS)
 
 $(OBJS) : $(HEADERS)
-
 
 clean :
 	$(call ECHO,---> Removing $(igd) <---)

=== debian/changelog ===
r-cran-eaf (2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 13:50:32 +0100

=== debian/control ===
Source: r-cran-eaf
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eaf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eaf.git
Homepage: https://cran.r-project.org/package=eaf
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-modeltools,
               r-cran-matrixstats,
               r-cran-rdpack,
               libgsl-dev,
               gawk
Testsuite: autopkgtest-pkg-r

Package: r-cran-eaf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends},
            python3,
            python3-rpy2
Suggests: ${R:Suggests}
Description: GNU R plots of the empirical attainment function
 This GNU R package supports plots of the empirical attainment function
 for two objectives.

## r-cran-eaf 2.4.1

=== debian/changelog ===
r-cran-eaf (2.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 21:37:43 +0200

## r-cran-eaf 2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eaf
 Type: Package
 Title: Plots of the Empirical Attainment Function
-Version: 2.4
+Version: 2.5
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -13,7 +13,7 @@
 Description: Computation and visualization of the empirical attainment function (EAF) for the analysis of random sets in multi-criterion optimization. M. López-Ibáñez, L. Paquete, and T. Stützle (2010) <doi:10.1007/978-3-642-02538-9_9>.
 Depends: R (>= 3.2)
 Imports: modeltools, graphics, grDevices, matrixStats, Rdpack
-Suggests: extrafont, testthat, withr, viridisLite
+Suggests: extrafont, testthat (>= 3.0.0), withr, viridisLite, spelling
 License: GPL (>= 2)
 BugReports: https://github.com/MLopez-Ibanez/eaf/issues
 URL: https://mlopez-ibanez.github.io/eaf/,
@@ -21,11 +21,13 @@
 LazyLoad: true
 LazyData: true
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 SystemRequirements: GNU make, Gnu Scientific Library
 RdMacros: Rdpack
+Config/testthat/edition: 3
+Language: en-GB
 NeedsCompilation: yes
-Packaged: 2023-01-12 14:50:03 UTC; manu
+Packaged: 2023-11-28 18:43:03 UTC; manu
 Author: Manuel López-Ibáñez [aut, cre]
     (<https://orcid.org/0000-0001-9974-1295>),
   Marco Chiarandini [aut],
@@ -35,4 +37,4 @@
   Mickaël Binois [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-01-12 16:00:02 UTC
+Date/Publication: 2023-11-28 19:30:02 UTC

=== debian/changelog ===
r-cran-eaf (2.5-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:55:38 +0200

r-cran-eaf (2.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:49:22 +0100

r-cran-eaf (2.4.1-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1048496

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 12:35:33 +0200

## r-cran-eaf 2.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eaf
 Type: Package
 Title: Plots of the Empirical Attainment Function
-Version: 2.5
+Version: 2.5.1
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -21,13 +21,13 @@
 LazyLoad: true
 LazyData: true
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 SystemRequirements: GNU make, Gnu Scientific Library
 RdMacros: Rdpack
 Config/testthat/edition: 3
 Language: en-GB
 NeedsCompilation: yes
-Packaged: 2023-11-28 18:43:03 UTC; manu
+Packaged: 2024-08-19 18:54:52 UTC; manu
 Author: Manuel López-Ibáñez [aut, cre]
     (<https://orcid.org/0000-0001-9974-1295>),
   Marco Chiarandini [aut],
@@ -37,4 +37,4 @@
   Mickaël Binois [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-11-28 19:30:02 UTC
+Date/Publication: 2024-08-19 22:20:02 UTC

=== debian/changelog ===
r-cran-eaf (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 08:54:03 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eaf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eaf.git
 Homepage: https://cran.r-project.org/package=eaf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-eaf 2.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: eaf
 Type: Package
 Title: Plots of the Empirical Attainment Function
-Version: 2.5.1
+Version: 2.5.2
 Authors@R: c(person("Manuel", "López-Ibáñez", role = c("aut", "cre"),
                               email = "manuel.lopez-ibanez@manchester.ac.uk",
                               comment = c(ORCID = "0000-0001-9974-1295")),
@@ -27,7 +27,7 @@
 Config/testthat/edition: 3
 Language: en-GB
 NeedsCompilation: yes
-Packaged: 2024-08-19 18:54:52 UTC; manu
+Packaged: 2025-03-28 09:29:42 UTC; manu
 Author: Manuel López-Ibáñez [aut, cre]
     (<https://orcid.org/0000-0001-9974-1295>),
   Marco Chiarandini [aut],
@@ -37,4 +37,4 @@
   Mickaël Binois [ctb]
 Maintainer: Manuel López-Ibáñez <manuel.lopez-ibanez@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2024-08-19 22:20:02 UTC
+Date/Publication: 2025-03-28 10:40:16 UTC

=== debian/changelog ===
r-cran-eaf (2.5.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.5.2
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Oct 2025 17:47:02 +0530

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,10 @@
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eaf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eaf.git
 Homepage: https://cran.r-project.org/package=eaf
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_clean:
	cd src/eaf && make clean
	cd src/mo-tools && make clean
	dh_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 3.0.0),
        r-cran-withr,
        r-cran-viridislite,
        r-cran-spelling
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/eaf_([-\d.]*)\.tar\.gz
